hwy::HWY_NAMESPACE::detail::CappedTagChecker< T, kLimit > Struct Template Reference

`#include <shared-inl.h>`

## Public Types

using | type = Simd< T, HWY_MIN(kLimitPow2, HWY_LANES(T)), 0 >

## Static Public Attributes

static constexpr size_t | kLimitPow2 = size_t{1} << hwy::FloorLog2(kLimit)

## Member Typedef Documentation

## type

template<typename T , size_t kLimit>

using hwy::HWY_NAMESPACE::detail::CappedTagChecker< T, kLimit >::type = Simd<T, HWY_MIN(kLimitPow2, HWY_LANES(T)), 0>

## Member Data Documentation

## kLimitPow2

template<typename T , size_t kLimit>

constexpr size_t hwy::HWY_NAMESPACE::detail::CappedTagChecker< T, kLimit >::kLimitPow2 = size_t{1} << hwy::FloorLog2(kLimit)

static constexpr

The documentation for this struct was generated from the following file:

- ops/shared-inl.h